X2Go Bug report logs - #71
X2Go Client, httpbrokerclient: GUI bug on broker connection failures

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Mon, 3 Dec 2012 10:48:01 UTC

Severity: minor

Tags: pending

Found in version 3.99.1.0

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#71; Package x2goclient. (Mon, 03 Dec 2012 10:48:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 03 Dec 2012 10:48:01 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: submit@bugs.x2go.org
Subject: X2Go Client, httpbrokerclient: GUI bug on broker connection failures
Date: Mon, 03 Dec 2012 11:39:14 +0100
[Message part 1 (text/plain, inline)]
Package: x2goclient
Version: 3.99.1.0
Severity: minor

On connection attempts that fail with ,,connection refused'' (due to a  
non-online broker http server) the authentication dialog window of  
x2goclient gets redrawn, but the authentication box in the middle  
moves more and more to the left (with each authentication attempt).

Expected behaviour: the box should redraw in the center of the blue  
X2Go Client background.

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#71; Package x2goclient. (Sat, 23 Feb 2013 22:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 23 Feb 2013 22:48:02 GMT) Full text and rfc822 format available.

Message #10 received at 71@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 71@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Issue gets solved with this commit, but blends in the grey column on the right
Date: Sat, 23 Feb 2013 23:47:48 +0100
[Message part 1 (text/plain, inline)]
tag #71 pending
thanks

Hi Alex,

can you take a look at this commit, please?
http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=162833f0bfd59c2817020fed998d86f0880ee9cb

I have played with the broker login widget layout for a bit and the  
easiest way to get the shifting login window under control (see  
description in [1]) is the above commit.

Any other similar approach is welcome, as well.

Greets,
Mike

[1] http://bugs.x2go.org/71

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 23 Feb 2013 22:48:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#71; Package x2goclient. (Mon, 25 Feb 2013 11:18:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 25 Feb 2013 11:18:01 GMT) Full text and rfc822 format available.

Message #17 received at 71@bugs.x2go.org (full text, mbox):

From: Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 71@bugs.x2go.org, x2go-dev@lists.berlios.de
Subject: Re: [X2Go-Dev] Bug#71: Issue gets solved with this commit, but blends in the grey column on the right
Date: Mon, 25 Feb 2013 12:04:53 +0100
[Message part 1 (text/plain, inline)]
Hi Mike,

Your patch make profile crad area stay visible by broker authentication.
This patch:

http://code.x2go.org/gitweb?p=x2goclient.git;a=commit;h=8867d02d9077d6cb5be5453612f4b4a4eb0f4d86

fixing this issue

regards
Alex

Am 23.02.2013 23:47, schrieb Mike Gabriel:
> tag #71 pending
> thanks
> 
> Hi Alex,
> 
> can you take a look at this commit, please?
> http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=162833f0bfd59c2817020fed998d86f0880ee9cb
> 
> 
> I have played with the broker login widget layout for a bit and the
> easiest way to get the shifting login window under control (see
> description in [1]) is the above commit.
> 
> Any other similar approach is welcome, as well.
> 
> Greets,
> Mike
> 
> [1] http://bugs.x2go.org/71
> 
> 
> 
> _______________________________________________
> X2Go-Dev mailing list
> X2Go-Dev@lists.berlios.de
> https://lists.berlios.de/mailman/listinfo/x2go-dev


-- 
Oleksandr Shneyder
Dipl. Informatik
X2go Core Developer Team

email:  oleksandr.shneyder@obviously-nice.de
web: www.obviously-nice.de

--> X2go - everywhere@home

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#71; Package x2goclient. (Tue, 26 Feb 2013 20:18:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 26 Feb 2013 20:18:02 GMT) Full text and rfc822 format available.

Message #22 received at 71@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>
Cc: 71@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#71: Issue gets solved with this commit, but blends in the grey column on the right
Date: Tue, 26 Feb 2013 21:09:00 +0100
[Message part 1 (text/plain, inline)]
Hi Alex,

On Mo 25 Feb 2013 12:04:53 CET Oleksandr Shneyder wrote:

> Hi Mike,
>
> Your patch make profile crad area stay visible by broker authentication.
> This patch:
>
> http://code.x2go.org/gitweb?p=x2goclient.git;a=commit;h=8867d02d9077d6cb5be5453612f4b4a4eb0f4d86
>
> fixing this issue
>
> regards
> Alex

After testing, I am not so sure that the above commit really fixes the  
layout when the broker client is in use.

Compare the screenshots that are attached. This is really cosmetic,  
however, it is something that users will notice and stumble over.

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[x2goclient-sessselected-nobroker.png (image/png, attachment)]
[x3goclient-nosessselected-broker.png (image/png, attachment)]
[x3goclient-nosessselected-nobroker.png (image/png, attachment)]
[x4goclient-sessselected-broker.png (image/png, attachment)]
[Message part 6 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#71; Package x2goclient. (Wed, 27 Feb 2013 10:33:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 27 Feb 2013 10:33:01 GMT) Full text and rfc822 format available.

Message #27 received at 71@bugs.x2go.org (full text, mbox):

From: Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 71@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#71: Issue gets solved with this commit, but blends in the grey column on the right
Date: Wed, 27 Feb 2013 11:18:33 +0100
[Message part 1 (text/plain, inline)]
Fixed:

http://code.x2go.org/gitweb?p=x2goclient.git;a=commit;h=9c5804a4478c5815c639a8984789bd252a966e90


regards
Alex

Am 26.02.2013 21:09, schrieb Mike Gabriel:
> Hi Alex,
> 
> On Mo 25 Feb 2013 12:04:53 CET Oleksandr Shneyder wrote:
> 
>> Hi Mike,
>>
>> Your patch make profile crad area stay visible by broker authentication.
>> This patch:
>>
>> http://code.x2go.org/gitweb?p=x2goclient.git;a=commit;h=8867d02d9077d6cb5be5453612f4b4a4eb0f4d86
>>
>>
>> fixing this issue
>>
>> regards
>> Alex
> 
> After testing, I am not so sure that the above commit really fixes the
> layout when the broker client is in use.
> 
> Compare the screenshots that are attached. This is really cosmetic,
> however, it is something that users will notice and stumble over.
> 
> Greets,
> Mike
> 


-- 
Oleksandr Shneyder
Dipl. Informatik
X2go Core Developer Team

email:  oleksandr.shneyder@obviously-nice.de
web: www.obviously-nice.de

--> X2go - everywhere@home

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#71; Package x2goclient. (Sat, 23 Mar 2013 00:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 23 Mar 2013 00:48:02 GMT) Full text and rfc822 format available.

Message #32 received at 71@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 71@bugs.x2go.org, 137@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: The reported issue has been fixed in X2Go Client 4.0.1.0
Date: Sat, 23 Mar 2013 01:47:01 +0100
[Message part 1 (text/plain, inline)]
close #71
close #137
thanks

The reported issue has been fixed for release 4.0.1.0 of X2Go Client.

light+love,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb

[Message part 2 (application/pgp-signature, inline)]
[Message part 3 (application/pgp-signature, inline)]

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 23 Mar 2013 00:48:03 GMT) Full text and rfc822 format available.

Notification sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug acknowledged by developer. (Sat, 23 Mar 2013 00:48:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sat, 20 Apr 2013 05:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Jul 18 13:07:38 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.